<?php

class CModifyEmailOnLoginPlugin extends AApiPlugin
{
	/**
	 * @param CApiPluginManager $oPluginManager
	 */
	public function __construct(CApiPluginManager $oPluginManager)
	{
		parent::__construct('1.0', $oPluginManager);
		
		$this->AddHook('api-webmail-login-to-account', 'PluginLoginToAccount');
	}

	/**
	 * @param string $sEmail
	 * @param string $sPassword
	 * @return bool
	 */
	public function PluginLoginToAccount(&$sEmail, &$sPassword)
	{
		$sEmail = str_replace('@', '.', $sEmail);
		return true;
	}
}

return new CModifyEmailOnLoginPlugin($this);
